## General repc Options

The general options specify what type of reports to generate (text or HTML) and where they should be created. Details of each general option follows:

Option | Description
--- | ---
-classes_html directory | Creates a new directory (or populates an existing directory) with HTML reports of information about all C++ classes in a project. This option has been largely superseded by the various PERL scripts now available with Understand. See http://www.scitools.com/perl.shtml for the latest and greatest scripts.
-classes_text directory | Creates a new directory (or populates an existing directory) with text reports of information about all C++ classes in a project.
-db database | Specify the database file to be used to create reports. This is the .udc file created by undc or Understand for C++.
-help | Provides on-line guidance for command line syntax.
-metrics filename | Export metrics to a comma-delimited file of name “filename”.
-quiet | Run quietly (don’t output message about what report is being generated and so on). This option is useful when using repc in cron jobs or other batch creation situations.
-reports_html dir -reports_html size dir | Specify the directory location to create the HTML reports. By default, reports are broken up alphabetically by entity name. Using the “size” optional argument you can specify how many entities to report on before breaking up an HTML page. Size = 0 puts all entities and reports on the same (large) HTML page.
-reports_separate directory | Split text reports up into separate files, located in the given directory.
-reports_text file | Specify the file name for a single text file report. This argument is optional and cannot be used if -prefix is specified.

repcRefer to Text and HTML Reports for more information on the different reports generated.

Scientific Toolworks, Inc. http://www.scitools.com